---
title: line-height-step
slug: Web/CSS/line-height-step
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>line-height-step</code></strong> CSS property sets the step unit for line box heights. When the property is set, line box heights are rounded up to the closest multiple of the unit.</p>

<pre class="brush:css no-line-numbers notranslate">/* Point values */
line-height-step: 18pt;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>line-height-step</code> property is specified as any one of the following:</p>

<ul>
 <li>a <code><a href="#&lt;length&gt;">&lt;length&gt;</a></code>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><a id="&lt;length&gt;"><code>&lt;length&gt;</code></a></dt>
 <dd>The specified {{cssxref("&lt;length&gt;")}} is used in the calculation of the line box height step.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_step_unit_for_line_box_height">Setting step unit for line box height</h3>

<p id="sect1">In the following example, the height of line box in each paragraph is rounded up to the step unit. The line box in <code>&lt;h1&gt;</code> does not fit into one step unit and thus occupies two, but it is still centered within the two step unit.</p>

<pre class="brush: css notranslate">:root {
  font-size: 12pt;
  --my-grid: 18pt;
  line-height-step: var(--my-grid);
}
h1 {
  font-size: 20pt;
  margin-top: calc(2 * var(--my-grid));
}</pre>

<p>The result of these rules is shown below in the following screenshot:</p>

<p><img alt="How the line-height-step property affects the appearance of text." src="https://mdn.mozillademos.org/files/15257/line-grid-center.png" style="height: 340px; width: 144px;"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Rhythmic Sizing', '#line-height-step', 'line-height-step')}}</td>
   <td>{{Spec2('CSS Rhythmic Sizing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.line-height-step")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("font")}}</li>
 <li>{{Cssxref("font-size")}}</li>
 <li>{{Cssxref("line-height")}}</li>
</ul>
